Skip to main content
POST
upload-kakao-brand-message-image
Upload the image to Kakao BizMessage before using it in a Brand Message template or a free-form message. Put the returned data.images[].url value in the image field of the create-template or send request.
Use the dimensions and width-to-height ratios for the image type.Upload JPG or PNG files of up to 5 MB each.

Authorizations

Authorization
string
header
required

Pass the token issued by POST /authenticate as a bearer token.

Path Parameters

projectId
string
required

Project ID.

Body

multipart/form-data
type
enum<string>
required

Purpose of the uploaded image. Use file for single-image types and images for multi-image types that require repeated multipart fields.

Available options:
image,
wide-image,
wide-itemlist-first-image,
wide-itemlist-image,
carousel-image,
carousel-commerce-image
file
file

Single image file for the image, wide-image, and wide-itemlist-first-image types.

images
file[]

Repeated image file field for the wide-itemlist-image, carousel-image, and carousel-commerce-image types.

Response

The image was uploaded.

data
object
error
string | null

null on success.